<!doctype html>
<html lang="en">
<head>
<title>109-when-do-news-become-too-old</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="a_uL6PQMaOS6kHG25P" title="a_uL6PQMaOS6kHG25P" style="background-color:#829342">When do News become too old???</span><br><span class="a_uL6PQMaOS6kHG25P" title="a_uL6PQMaOS6kHG25P" style="background-color:#829342"></span><br><span class="a_uL6PQMaOS6kHG25P" title="a_uL6PQMaOS6kHG25P" style="background-color:#829342"></span><br><span class="a_uL6PQMaOS6kHG25P" title="a_uL6PQMaOS6kHG25P" style="background-color:#829342"></span><br><span class="a_uL6PQMaOS6kHG25P" title="a_uL6PQMaOS6kHG25P" style="background-color:#829342">https://www.debian.org/News/</span><br><span class="a_uL6PQMaOS6kHG25P" title="a_uL6PQMaOS6kHG25P" style="background-color:#829342">https://www.debian.org/News/weekly/</span><br><span class="a_uL6PQMaOS6kHG25P" title="a_uL6PQMaOS6kHG25P" style="background-color:#829342">https://www.debian.org/News/press/</span><br><span class="a_uL6PQMaOS6kHG25P" title="a_uL6PQMaOS6kHG25P" style="background-color:#829342">https://www.debian.org/devel/debian-installer/News/</span><br><span class="a_uL6PQMaOS6kHG25P" title="a_uL6PQMaOS6kHG25P" style="background-color:#829342">https://www.debian.org/releases/  DONE!!!</span><br><span class="a_uL6PQMaOS6kHG25P" title="a_uL6PQMaOS6kHG25P" style="background-color:#829342">https://www.debian.org/security/</span><br><span class="a_uL6PQMaOS6kHG25P" title="a_uL6PQMaOS6kHG25P" style="background-color:#829342"></span><br><span class="a_uL6PQMaOS6kHG25P" title="a_uL6PQMaOS6kHG25P" style="background-color:#829342"></span><br><span class="a_uL6PQMaOS6kHG25P" title="a_uL6PQMaOS6kHG25P" style="background-color:#829342">www-master:/srv/www.debian.org/www/releases$ find|wc -l</span><br><span class="a_uL6PQMaOS6kHG25P" title="a_uL6PQMaOS6kHG25P" style="background-color:#829342">196947</span><br><span class="a_uL6PQMaOS6kHG25P" title="a_uL6PQMaOS6kHG25P" style="background-color:#829342">www-master:/srv/www.debian.org/www$ find|wc -l</span><br><span class="a_uL6PQMaOS6kHG25P" title="a_uL6PQMaOS6kHG25P" style="background-color:#829342">300570</span><br><span class="a_uL6PQMaOS6kHG25P" title="a_uL6PQMaOS6kHG25P" style="background-color:#829342">==>  2/3 of all files are release files (mostly from old releases)</span><br><span class="a_34gWb7cXL9xHihCm" title="a_34gWb7cXL9xHihCm" style="background-color:#ce3caa"></span><br><span class="a_34gWb7cXL9xHihCm" title="a_34gWb7cXL9xHihCm" style="background-color:#ce3caa">Keeping memory (mails have not all been translated)?, e.g.</span><br><span class="a_34gWb7cXL9xHihCm" title="a_34gWb7cXL9xHihCm" style="background-color:#ce3caa">https://www.debian.org/News/2001/20010402b</span><br><span class="a_34gWb7cXL9xHihCm" title="a_34gWb7cXL9xHihCm" style="background-color:#ce3caa">https://www.debian.org/News/2004/20040515</span><br><span class="a_34gWb7cXL9xHihCm" title="a_34gWb7cXL9xHihCm" style="background-color:#ce3caa">https://www.debian.org/News/2005/20050809</span><br><span class="a_34gWb7cXL9xHihCm" title="a_34gWb7cXL9xHihCm" style="background-color:#ce3caa">https://www.debian.org/News/2008/20081229</span><br><span class="a_34gWb7cXL9xHihCm" title="a_34gWb7cXL9xHihCm" style="background-color:#ce3caa">https://www.debian.org/News/2010/20100831</span><br><span class="a_34gWb7cXL9xHihCm" title="a_34gWb7cXL9xHihCm" style="background-color:#ce3caa">https://www.debian.org/News/2011/20110423</span><br><span class="a_34gWb7cXL9xHihCm" title="a_34gWb7cXL9xHihCm" style="background-color:#ce3caa">https://www.debian.org/News/2013/20130523</span><br><span class="a_34gWb7cXL9xHihCm" title="a_34gWb7cXL9xHihCm" style="background-color:#ce3caa">https://www.debian.org/News/2014/20141020</span><br><span class="a_34gWb7cXL9xHihCm" title="a_34gWb7cXL9xHihCm" style="background-color:#ce3caa">https://www.debian.org/News/2015/20150204</span><br><span class="a_34gWb7cXL9xHihCm" title="a_34gWb7cXL9xHihCm" style="background-color:#ce3caa">https://www.debian.org/News/2016/20160105</span><br><span class="a_34gWb7cXL9xHihCm" title="a_34gWb7cXL9xHihCm" style="background-color:#ce3caa">https://www.debian.org/News/2016/20160927</span><br><span class="a_34gWb7cXL9xHihCm" title="a_34gWb7cXL9xHihCm" style="background-color:#ce3caa">https://www.debian.org/News/2019/20190308</span><br><span class="a_34gWb7cXL9xHihCm" title="a_34gWb7cXL9xHihCm" style="background-color:#ce3caa">https://www.debian.org/News/2021/20210812</span><br><span class="a_34gWb7cXL9xHihCm" title="a_34gWb7cXL9xHihCm" style="background-color:#ce3caa">https://www.debian.org/News/2023/20230914</span><br><span class="a_34gWb7cXL9xHihCm" title="a_34gWb7cXL9xHihCm" style="background-color:#ce3caa"></span><br><span class="a_34gWb7cXL9xHihCm" title="a_34gWb7cXL9xHihCm" style="background-color:#ce3caa">Asking the question differently: How harmeful is it to keep historical content?</span><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc"></span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">We have information in </span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">https://www.debian.org/doc/manuals/project-history/detailed.en.html#events</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">But still the question is how relevant is this information for our users after several years.</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">Where do we want to draw the line between information we want to keep, and what not to keep.</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">Are the Debian web pages like a public library including old books, or a dealer selling new things from this and maybe from the last year (I do not have a better idea how to explain it). MrFAI</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc"></span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">Currently our search results of the xapian search engine are really bad. They are not sorted by date.</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">The ratio between outdated and current information gets worse over time.</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc"></span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">In the long run, we want to move away from the wml files to a more modern html generator like hugo.</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">The more content we have, the more work it will be to migrate to a new software. MrFAI</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc"></span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc"></span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc"></span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">Notes taken by </span><span class="a_6TnCjaSSsEVrzjda" title="a_6TnCjaSSsEVrzjda" style="background-color:#7a1d47">j</span><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">o</span><span class="a_6TnCjaSSsEVrzjda" title="a_6TnCjaSSsEVrzjda" style="background-color:#7a1d47">o</span><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">st</span><span class="a_6TnCjaSSsEVrzjda" title="a_6TnCjaSSsEVrzjda" style="background-color:#7a1d47">vb</span><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">:</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">  : Join to #debconf-elsewhere was synced in 0 secs</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">> search engine purge from website</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">> broken links</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">>  /News/weekly/ should not have 2017 on the page</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">> archive.org ? archive.debian.org will never happen</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">> how have stable links to archive.org ?</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">> an archive folder in our www git repo, link to that to be archived by archive.org</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">> we could have folder _archive/ in lots of places of our git repo</span><span class="a_6TnCjaSSsEVrzjda" title="a_6TnCjaSSsEVrzjda" style="background-color:#7a1d47"> (as suggested by aigars)</span><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc"></span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">> old posts @ https://lists.debian.org would be fine</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">> and wiki.debian.org also is not being discussed</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">>  /News/ : sames problem as /News/weekly/</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">> google and startpage are better then our own search engine @ www.debian.org</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">>  /devel/debian-installer/News/ : some people say: remove all of it</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">> or just keep the last ones</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">> security/dsa.html : people love it , could replace security/</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">> we would loose the french translations of DSAs</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">>  /intro/organization  : people who've left are still there</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc">>  not in sync with the actual aliass</span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc"></span><br><span class="a_6TnCjaSSsEVrzjda" title="a_6TnCjaSSsEVrzjda" style="background-color:#7a1d47">Another keepers-argument : https://www.w3.org/Provider/Style/URI "Cool URIs don't change"</span><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc"></span><br><span class="a_X2CyvV6uYrMu4pPI" title="a_X2CyvV6uYrMu4pPI" style="background-color:#3c52dc"></span><br><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
